import request from '/@/utils/request';

export function recordApi() {
    return {
        // v1
        getRecordList: (data: object) => {
            return request({
                url: `/prevent/checkTask/select/getTaskPage`,
                method: 'post',
                data: data
            });
        },

        // v1
        submitRecord: (data: object) => {
            return request({
                url: `/prevent/checkTask/update/updateTask`,
                method: 'post',
                data: data
            });
        },

        // v1
        deleteRecord: (data: object) => {
            return request({
                url: `/prevent/checkWork/delete/deleteCheckWork`,
                method: 'post',
                data: data
            });
        }
    };
}
